/*************************************************************************
*
* Copyright (c) 2012-2022 Barbara Geller & Ansel Sermersheim
* Copyright (c) 2014 Digia Plc
*
* GNU Free Documentation License
* This file may be used under the terms of the GNU Free Documentation
* License version 1.3 as published by the Free Software Foundation
* and appearing in the file included in the packaging of this file.
*
*************************************************************************/

#define Q_C_CALLBACKS
#define Q_CHECK_PTR( pointer )
#define Q_DECL_EXPORT
#define Q_DECL_IMPORT
#define Q_BYTE_ORDER
#define Q_BIG_ENDIAN
#define Q_LITTLE_ENDIAN

#define QT_LINUXBASE
#define QT_LARGEFILE_SUPPORT 64
#define QT_POINTER_SIZE
#define QT_VERSION
#define QT_VERSION_CHECK
#define QT_VERSION_STR

#define Q_WS_X11

#define Q_OS_BSD4
#define Q_OS_DARWIN
#define Q_OS_FREEBSD
#define Q_OS_LINUX
#define Q_OS_NETBSD
#define Q_OS_OPENBSD
#define Q_OS_UNIX
#define Q_OS_WIN
#define Q_OS_WIN32
#define Q_OS_WIN64

#define Q_CC_CLANG
#define Q_CC_EDG
#define Q_CC_GNU
#define Q_CC_INTEL
#define Q_CC_MIPS
#define Q_CC_PGI

#define CS_VERSION
#define CS_VERSION_CHECK(major, minor, patch)
#define CS_VERSION_STR

#define Q_INT64_C(literal)
#define Q_UINT64_C(literal)

#define csPrintable(str)

#define Q_ARG(type, value)
#define Q_RETURN_ARG(type, value)

#define Q_ASSERT(cond)
#define Q_ASSERT_X(cond, where, what)
#define Q_CHECK_PTR(pointer)
#define Q_FUNC_INFO
#define Q_LIKELY(expr)
#define Q_UNLIKELY(expr)
#define Q_UNUSED(name)

#define QT_TR_NOOP(source)
#define QT_TRANSLATE_NOOP(context, source)
#define QT_TRANSLATE_NOOP3(context, source, comment)
#define QT_TRID_NOOP(id)
#define CS_DECLARE_METATYPE(TYPE)

#define QT_POINTER_SIZE

#define Q_PROCESSOR_X86
#define Q_PROCESSOR_X86_32
#define Q_PROCESSOR_X86_64
#define Q_PROCESSOR_ARM
#define Q_PROCESSOR_ARM_V5
#define Q_PROCESSOR_ARM_V6
#define Q_PROCESSOR_ARM_V7
#define Q_PROCESSOR_ARM_V8

